This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 813161 - RFE: Ability to monitor Zanata server statistics (JavaMelody)
RFE: Ability to monitor Zanata server statistics (JavaMelody)
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Maintainability (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 1.6-alpha-1
Assigned To: Runa Bhattacharjee
Joyce Chang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-17 02:13 EDT by Patrick Huang
Modified: 2013-03-03 22:19 EST (History)
6 users (show)

See Also:
Fixed In Version: Zanata version 1.6.0-beta-2-SNAPSHOT (20120522-0020).
Doc Type: Bug Fix
Doc Text:
Cause The Zanata server is an application that runs on JBoss Application Server. The performance of a Zanata server is tied to the performance of its underlying JBoss Application Server. Consequence Without instrumenting that reports on statistics of the JBoss Application Server that hosts the Zanata server, it is difficult for a server administrator to monitor or tune the performance of a Zanata server. Change JavaMelody, a Java EE server monitoring tool has been integrated with the Zanata server. Result Zanata server administrators can now go to the "Administration" menu and select "Server Monitoring" to view the performance statistics of a Zanata instance.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-21 20:58:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Patrick Huang 2012-04-17 02:13:54 EDT
Description of problem:
New feature to be able to show server statistics. 

Additional info:
Using java melody library to collection various statistics information and give admin access to view this information.
Comment 1 Patrick Huang 2012-04-17 02:21:50 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Admin will be able to see server statistics by going to JavaMelody under Admin menu.
Comment 2 Patrick Huang 2012-04-17 02:29:24 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1,11 @@
-Admin will be able to see server statistics by going to JavaMelody under Admin menu.+Cause
+Admin should be able to see server statistics.
+
+Consequence
+Hard to measure server performance.
+
+Change
+JavaMelody is put in place to collect various server statistics and made available to Admin user.
+
+Result
+Admin user can go to Administration menu and select JavaMelody Monitoring to view all the statistics of a Zanata instance.
Comment 3 Patrick Huang 2012-04-19 20:02:39 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -8,4 +8,4 @@
 JavaMelody is put in place to collect various server statistics and made available to Admin user.
 
 Result
-Admin user can go to Administration menu and select JavaMelody Monitoring to view all the statistics of a Zanata instance.+Admin user can go to "Administration" menu and select "Server Monitoring" to view all the statistics of a Zanata instance.
Comment 4 Joshua Wulf 2012-04-20 03:23:42 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1,11 +1,11 @@
 Cause
-Admin should be able to see server statistics.
+The Zanata server is an application that runs on JBoss Application Server. The performance of a Zanata server is tied to the performance of its underlying JBoss Application Server.
 
 Consequence
-Hard to measure server performance.
+Without instrumenting that reports on statistics of the JBoss Application Server that hosts the Zanata server, it is difficult for a server administrator to monitor or tune the performance of a Zanata server.
 
 Change
-JavaMelody is put in place to collect various server statistics and made available to Admin user.
+JavaMelody, a Java EE server monitoring tool has been integrated with the Zanata server.
 
 Result
-Admin user can go to "Administration" menu and select "Server Monitoring" to view all the statistics of a Zanata instance.+Zanata server administrators can now go to the "Administration" menu and select "Server Monitoring" to view the performance statistics of a Zanata instance.
Comment 7 Joyce Chang 2012-05-22 02:01:22 EDT
verified in Zanata version 1.6.0-beta-2-SNAPSHOT (20120522-0020).

Note You need to log in before you can comment on or make changes to this bug.